%define upstream_name    Class-Proxy
%define upstream_version 0.01.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    An object proxy
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Listener)
BuildRequires: perl(Class::Maker)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Extended)
BuildArch: noarch

%description
Objects can be served by 'Class::Proxy'. In practice, any method call to
the proxy will be forwarded to the original object (victim). The purpose of
that is to alter method calls in a generic way. This can be used for

* *

  faking

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.1.4-8pclos2017
- rebuild against updates

